[or-cvs] r18652: {torvm} Build fixes; 7zip and torbutton msi. (torvm/trunk/build/win32/files)
coderman at seul.org
coderman at seul.org
Thu Feb 19 22:31:08 UTC 2009
Author: coderman
Date: 2009-02-19 17:31:08 -0500 (Thu, 19 Feb 2009)
New Revision: 18652
Modified:
torvm/trunk/build/win32/files/buildall.sh
Log:
Build fixes; 7zip and torbutton msi.
Modified: torvm/trunk/build/win32/files/buildall.sh
===================================================================
--- torvm/trunk/build/win32/files/buildall.sh 2009-02-19 17:14:48 UTC (rev 18651)
+++ torvm/trunk/build/win32/files/buildall.sh 2009-02-19 22:31:08 UTC (rev 18652)
@@ -170,6 +170,13 @@
exec /bin/bash -l
fi
export build_date=`date +%s`
+ if [[ "$bld_dsub" == "" ]]; then
+ export bld_dsub="${BUILD_SCP_DIR}/${build_date}"
+ if [[ "$BUILD_SCP_NOSUBDIR" == "TRUE" ]]; then
+ # dont include the date subdir in any copied destinations...
+ export bld_dsub="${BUILD_SCP_DIR}"
+ fi
+ fi
cd /usr/src
/usr/src/buildall.sh dobuild 2>&1 | tee build.log
if (( $? != 0 )); then
@@ -177,13 +184,6 @@
else
echo "BUILD_COMPLETE" >> build.log
fi
- if [[ "$bld_dsub" == "" ]]; then
- export bld_dsub="${BUILD_SCP_DIR}/${build_date}"
- if [[ "$BUILD_SCP_NOSUBDIR" == "TRUE" ]]; then
- # dont include the date subdir in any copied destinations...
- export bld_dsub="${BUILD_SCP_DIR}"
- fi
- fi
if [[ "$BUILD_SCP_USER" != "" ]]; then
echo "Transferring build to destination ${BUILD_SCP_HOST}:${bld_dsub} ..."
scp -o BatchMode=yes -o CheckHostIP=no -o StrictHostKeyChecking=no \
@@ -249,7 +249,6 @@
if [ ! -f "/${SEVNZIP_PKG}" ]; then
echo "ERROR: Unable to locate expected 7zip package for install at location: /${SEVNZIP_PKG}"
anyfail=1
- fi
else
echo "Attempting to install /${SEVNZIP_PKG} ..."
$COMSPEC /k "msiexec /i ${MSYSROOT}\${SEVNZIP_PKG} /qn" < /dev/null
@@ -335,26 +334,30 @@
cd /usr/src
tar zxf $ZLIB_FILE
cd $ZLIB_DIR
- ./configure --prefix=/usr --enable-shared
- if (( $? != 0 )); then
- echo "ERROR: zlib configure failed." >&2
- exit 1
- fi
- make
- if (( $? != 0 )); then
- echo "ERROR: zlib build failed." >&2
- exit 1
- fi
- make install
- if (( $? != 0 )); then
- echo "ERROR: zlib install failed." >&2
- exit 1
- fi
- make -f win32/Makefile.gcc
- if (( $? != 0 )); then
- echo "ERROR: zlib dynamic build failed." >&2
- exit 1
- fi
+ (
+ # LIBZ configure is odd... perhaps these should be renamed
+ unset libdir
+ ./configure --prefix=/usr --enable-shared
+ if (( $? != 0 )); then
+ echo "ERROR: zlib configure failed." >&2
+ exit 1
+ fi
+ make
+ if (( $? != 0 )); then
+ echo "ERROR: zlib build failed." >&2
+ exit 1
+ fi
+ make install
+ if (( $? != 0 )); then
+ echo "ERROR: zlib install failed." >&2
+ exit 1
+ fi
+ make -f win32/Makefile.gcc
+ if (( $? != 0 )); then
+ echo "ERROR: zlib dynamic build failed." >&2
+ exit 1
+ fi
+ )
pkgbuilt ZLIB_BUILT
fi
@@ -919,7 +922,7 @@
fi
if [ -f /src/$TORBUTTON_FILE ]; then
- cp /src/$TORBUTTON_FILE bin/torbutton.xpi
+ cp /src/$TORBUTTON_FILE torbutton.xpi
echo "Linking torbutton MSI installer package ..."
light.exe -out torbutton.msi WixUI_Tor.wixobj torbutton.wixobj -ext $WIX_UI
if [ -f torbutton.msi ]; then
More information about the tor-commits
mailing list